No se puede configurar la traducción correcta del idioma de WooCommerce [cerrado]

2

He establecido el idioma de Wordpress en mi idioma ( General -> Site Language ) y descargué las últimas traducciones de WooCommerce y las subí a través de FTP, pero aún veo cadenas no traducidas en la página web. ¿Qué estoy haciendo mal?

Estoy usando WP v4.6.1 y WC v2.6.6.

Aquí seleccioné el lenguaje WP (no estoy seguro de por qué woocommerce-sl_SI aparece en la lista pero después de seleccionar las traducciones aún no estaban allí):

Aquíestánlastraduccionessubidasalservidor:

    
pregunta Primož Kralj 25.10.2016 - 17:54

1 respuesta

5

Después de instalar WordPress versión 4.6.1 y WooCommerce versión 2.6.6, ambos con el idioma habilitado predeterminado, Inglés (Estados Unidos) , seguí los pasos a continuación y puse la traducción correctamente instalada y funcionando. :

  1. Establezca un idioma para su instalación de WordPress

    • Haga clic en el elemento del submenú General en Configuración en el Panel de control de su instalación de WordPress, y desplácese hacia abajo hasta la última opción de edición disponible: Idioma del sitio ;
    • allí, seleccione el idioma que desee, aquí: Slovenščina , luego, haga clic en el botón "Guardar cambios" para efectuar su modificación.

En esta etapa, aunque la base de idioma de su instalación de WordPress se ha actualizado, se dará cuenta de que sus páginas de WooCommerce aún se mostrarán en su idioma de instalación inicial predeterminado: inglés (Estados Unidos).

  1. Ahora, desplácese por el elemento del menú Panel de control y haga clic en Actualizar núcleo (ambos se muestran ahora en su nuevo idioma de instalación de WordPress).
    Ya debería ver una notificación sobre una serie de actualizaciones disponibles; nuestro enfoque aquí es en las actualizaciones de traducción disponibles.

    • Desplácese hacia abajo en la página y haga clic en el botón "Actualizar traducciones" en la sección Traducciones (todo aún en su idioma de instalación de WordPress recién definido) para actualizar la definición de idioma de los paquetes de WordPress fácilmente modificables. , que incluye WooCommerce.

Después de una actualización exitosa, ahora puede hacer clic en el menú WooCommerce ; todo debería estar disponible automáticamente en su nuevo idioma de instalación de WordPress (excepto cadenas no traducidas).

Si eligiera actualizar su idioma de WooCommerce a través de FTP, asegúrese de cargar sus archivos .mo y .po en los plugins directorio bajo wp-content/languages para que sean fácilmente accesibles para su uso; NO inmediatamente debajo de wp-content/languages como se muestra en su captura de pantalla adjunta: eso representa un listado incorrecto de woocommerce-sl_SI como ha instalado las traducciones de Core WordPress (consulte su primera captura de pantalla más arriba; lista desplegable Idioma del sitio) .

Cargar los archivos .mo y .po en su wp-content/plugins/woocommerce/i18n/languages en lugar del último directorio como se especificó anteriormente también funcionará .

Tenga en cuenta: el idioma de instalación predeterminado se usará para su instancia de instalación de WooCommerce si no hubiera un conjunto de idiomas correspondiente .mo y .po coincidiendo con su idioma de instalación de WordPress; o bien: WordPress es sl_SI , WooCommerce también debe ser sl_SI .

    
respondido por el nyedidikeke 26.10.2016 - 03:20

Lea otras preguntas en las etiquetas